group 'flutter.guru.guru_applovin_flutter'
version '1.0-SNAPSHOT'

buildscript {
    ext.kotlin_version = '1.6.10'
    repositories {
        google()
        mavenCentral()
    }

    dependencies {
        classpath 'com.android.tools.build:gradle:4.2.1'
        classpath "org.jetbrains.kotlin:kotlin-gradle-plugin:$kotlin_version"
    }
}

rootProject.allprojects {
    repositories {
        google()
        mavenCentral()
        mavenLocal()
        maven { url "https://android-sdk.is.com" }
        maven { url "https://artifact.bytedance.com/repository/pangle" }
        maven { url "https://s3.amazonaws.com/smaato-sdk-releases/" }
        maven { url "https://artifactory.verizonmedia.com/artifactory/maven" }
        maven { url "https://verve.jfrog.io/artifactory/verve-gradle-release" }
        maven { url "https://dl-maven-android.mintegral.com/repository/mbridge_android_sdk_oversea" }
        maven { url 'https://repo.pubmatic.com/artifactory/public-repos' }
        maven { url "https://artifactory.bidmachine.io/bidmachine" }
        maven { url "https://cboost.jfrog.io/artifactory/chartboost-ads/" }
        maven { url "https://maven.ogury.co" }
//        maven { url "https://artifactory.bidmachine.io/bidmachine" }
    }
}

apply plugin: 'com.android.library'
apply plugin: 'kotlin-android'

android {
    compileSdkVersion 31

    sourceSets {
        main.java.srcDirs += 'src/main/kotlin'
    }

    defaultConfig {
        minSdkVersion 21
        testInstrumentationRunner "androidx.test.runner.AndroidJUnitRunner"
    }
    lintOptions {
        disable 'InvalidPackage'
    }
}

dependencies {
//    compileOnly files('libs/GuruConsent-1.0.0.aar')
//    implementation 'guru.core.consent:GuruConsent:1.0.0'
//    implementation "org.jetbrains.kotlin:kotlin-stdlib-jdk7:$kotlin_version"
//    implementation 'androidx.appcompat:appcompat:1.3.0'
//    implementation "androidx.core:core-ktx:1.8.0"
//
//    // https://github.com/AppLovin/AppLovin-MAX-SDK-Android/issues/33
//    implementation 'com.google.android.exoplayer:exoplayer:2.15.1'
//    api 'com.applovin:applovin-sdk:11.6.1'
//    api 'com.applovin.mediation:facebook-adapter:6.12.0.2'
//    // DT Exchange
//    api 'com.applovin.mediation:fyber-adapter:8.2.1.2'
//    api 'com.applovin.mediation:google-adapter:21.4.0.1'
//    api 'com.applovin.mediation:google-ad-manager-adapter:21.4.0.1'
//    api 'com.applovin.mediation:ironsource-adapter:7.2.7.0.0'
//    api 'com.applovin.mediation:smaato-adapter:21.8.6.0'
//    api 'com.applovin.mediation:unityads-adapter:4.5.0.2'
//    // Yahoo
//    api 'com.applovin.mediation:verizonads-adapter:2.2.0.8'
//
//    // Pangle
//    api 'com.applovin.mediation:bytedance-adapter:4.9.0.8.0'
//
//    // pubnative
//    api 'com.applovin.mediation:verve-adapter:2.16.0.0'
//    api 'com.applovin.mediation:vungle-adapter:6.12.0.5'
//    api 'com.applovin.mediation:chartboost-adapter:9.1.1.2'
//    api 'com.applovin.mediation:mintegral-adapter:16.3.51.1'
//
//    api 'com.amazon.android:aps-sdk:9.6.2'
//    api 'com.applovin.mediation:amazon-tam-adapter:9.6.2.2'
//
//
//    // InMobi
//    implementation 'com.squareup.picasso:picasso:2.71828'
//    implementation 'androidx.recyclerview:recyclerview:1.2.1'
//    api 'com.applovin.mediation:inmobi-adapter:10.1.2.4'
//
//    implementation 'com.pubmatic.sdk:openwrap:2.6.1'
//    implementation 'com.applovin.mediation:alopenwrapadapter:1.0.2'

    implementation "org.jetbrains.kotlin:kotlin-stdlib-jdk7:$kotlin_version"
    implementation 'androidx.appcompat:appcompat:1.5.1'
    implementation "androidx.core:core-ktx:1.8.0"
    implementation 'androidx.recyclerview:recyclerview:1.2.1'
    implementation 'guru.core.consent:GuruConsent:1.1.0'
    // https://github.com/AppLovin/AppLovin-MAX-SDK-Android/issues/33
    implementation 'com.google.android.exoplayer:exoplayer:2.15.1'

    // implementation 'guru.ads.max:max-adapter:0.2.0'

    api 'com.applovin:applovin-sdk:12.1.0'
    api 'com.applovin.mediation:facebook-adapter:6.16.0.2'
    // DT Exchange
    api 'com.applovin.mediation:fyber-adapter:8.2.3.3'
    api 'com.applovin.mediation:google-adapter:22.3.0.0'
    api 'com.applovin.mediation:google-ad-manager-adapter:22.3.0.0'
    api 'com.applovin.mediation:ironsource-adapter:7.5.0.0.1'
    api 'com.applovin.mediation:smaato-adapter:22.3.2.0'
    api 'com.applovin.mediation:unityads-adapter:4.8.0.0'
    api 'com.applovin.mediation:bytedance-adapter:5.6.0.1.0'
    api 'com.applovin.mediation:verve-adapter:2.19.0.0'
    api 'com.applovin.mediation:vungle-adapter:6.11.0.1'
    api 'com.applovin.mediation:chartboost-adapter:9.4.1.0'
    api 'com.applovin.mediation:inmobi-adapter:10.6.3.0'
    api 'com.amazon.android:aps-sdk:9.8.4'
    api 'com.applovin.mediation:amazon-tam-adapter:9.8.4.0'
    api 'com.applovin.mediation:mintegral-adapter:16.5.11.0'
    // PubMatic
    api 'com.pubmatic.sdk:openwrap:3.1.0'
    api 'com.applovin.mediation:alopenwrapadapter:1.1.0'

    api 'com.applovin.mediation:bidmachine-adapter:2.3.2.0'

    api 'com.moloco.sdk.adapters:applovin:1.6.0.0'
    api 'com.applovin.mediation:ogury-presage-adapter:5.6.2.0'

    api 'com.applovin.mediation:mobilefuse-adapter:1.7.0.0'

}
